{% extends 'base.html.twig' %}

{% block title %}Hello CharactersController!{% endblock %}

{% block page_stylesheet %}
    <link href="{{ asset('stylesheets/characters.css') }}" rel="stylesheet"/>
{% endblock %}

{% block body %}
    {# /* ---------------------------- CREATE CHARACTER ---------------------------- */ #}
    <div class="container-fluid bg-secondary bg-gradient">
        <div class="container p-3 bg-secondary bg-gradient">
            <a class="btn btn-primary w-100" href="https://localhost:8000/createcharacter" role="button">Create Character</a>
        </div>
    </div>

    {# /* -------------------------------- SEPARATOR ------------------------------- */ #}
    <div class="container-fluid p-2 bg-dark separator"></div>

    {# /* ----------------------------- CHARACTER LIST ----------------------------- */ #}
    <div class="container p-2">
        <div class="accordion" id="accordionExample">
            {% for character in characters %}

                <div class="accordion-item">
                    <h2 class="accordion-header" id="heading-{{character.getId()}}">
                        <button class="accordion-button collapsed shadow-none" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-{{character.getId()}}" aria-expanded="false" aria-controls="collapse-{{character.getId()}}">
                            <strong>{{character.getName()}}</strong> &nbsp;({{character.getClasses.getName()}} - {{character.getRaces.getName()}})
                        </button>
                    </h2>
                    <div id="collapse-{{character.getId()}}" class="accordion-collapse collapse" aria-labelledby="heading-{{character.getId()}}" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                            <div class="container bg-secondary p-2 text-light rounded">
                                - <strong>Name:</strong> {{character.getName()}} <br/>
                                - <strong>Health:</strong> {{character.getHealth()}} <br/>
                                - <strong>Damage:</strong> {{character.getDamage()}} <br/>
                                - <strong>Critical:</strong> {{character.getCritical()}} <br/>
                            </div>

                            <div class="d-flex mt-2">
                                {# <a class="btn btn-warning w-50 me-1" href="https://localhost:8000/characters/modify/{{character.getId()}}" role="button">Modify Character</a> #}
                                <a class="btn btn-warning w-50 me-1" data-bs-toggle="modal" href="#toggleUpdate-{{character.getId()}}" role="button">Modify Character</a>
                                <a class="btn btn-danger w-50 ms-1" data-bs-toggle="modal" href="#toggleDelete-{{character.getId()}}" role="button">Delete Character</a>
                            </div>
                        </div>
                    </div>
                </div>

                {# /* --------------------------- DELETE CONFIRMATION -------------------------- */ #}
                <div class="modal fade" id="toggleDelete-{{character.getId()}}" aria-hidden="true" aria-labelledby="toggleDelete-{{character.getId()}}" tabindex="-1">
                    <div class="modal-dialog modal-dialog-centered">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="toggleDelete-{{character.getId()}}">
                                    {{character.getName()}}</strong> &nbsp;({{character.getClasses.getName()}} - {{character.getRaces.getName()}})
                                </h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                        <div class="modal-body">
                            Are you sure you want to delete the character of ID: {{character.getId()}}
                        </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                                <button type="button" class="btn btn-danger">
                                    <a class="text-decoration-none text-light" href="https://localhost:8000/characters/delete/{{character.getId()}}" role="button">Delete Character</a>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>

                {# /* -------------------------- UPDATE CONFIRMATIONS -------------------------- */ #}
                <div class="modal fade" id="toggleUpdate-{{character.getId()}}" tabindex="-1" aria-labelledby="Label-{{character.getId()}}" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="Label-{{character.getId()}}">
                                    {{character.getName()}}</strong> &nbsp;({{character.getClasses.getName()}} - {{character.getRaces.getName()}})
                                </h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <form method='POST'>
                                    <div class="mb-3">
                                        <label for="disabledTextInput" class="col-form-label">ID:</label>
                                        <input type="text" class="form-control" id="disabledTextInput" name='id' value="{{character.getId()}}" readonly="true">
                                    </div>
                                    <div class="mb-3">
                                        <label for="name" class="col-form-label">NAME:</label>
                                        <input type="text" class="form-control" id="name" name='name' value="{{character.getName()}}">
                                    </div>
                                    <div class="mb-3">
                                        <label for="health" class="col-form-label">HEALTH:</label>
                                        <input type="number" min="0" max="1000" class="form-control" id="health" name='health' value="{{character.getHealth()}}">
                                    </div>
                                    <div class="mb-3">
                                        <label for="damage" class="col-form-label">DAMAGE:</label>
                                        <input type="number" min="0" max="200"  class="form-control" id="damage" name='damage' value="{{character.getDamage()}}">
                                    </div>
                                    <div class="mb-3">
                                        <label for="critical" class="col-form-label">CRITICAL:</label>
                                        <input type="number" min="0" max="200" class="form-control" id="critical" name='critical' value="{{character.getCritical()}}">
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                                        <input type="submit" class="btn btn-warning" href="https://localhost:8000/characters" value="Update Character">
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}
